<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from parguide.texi on 28 April 1999 -->

<TITLE>The SUIF Parallelizing Compiler Guide - Table of Contents</TITLE>

</HEAD>
<BODY>
<H1>The SUIF Parallelizing Compiler Guide</H1>
<H2>How to compile and run parallel programs with SUIF</H2>
<ADDRESS>Stanford Compiler Group</ADDRESS>
<P>
<P><HR><P>

</P>
<P>
The SUIF parallelizing compiler translates sequential programs into parallel
code for shared address space machines.

</P>


<UL>
<LI><A HREF="parguide_1.html#SEC1">Introduction</A>: Overview of the SUIF parallelizer
<LI><A HREF="parguide_2.html#SEC2">Compiling Parallel Programs</A>: How to use the SUIF parallelizer
<LI><A HREF="parguide_3.html#SEC3">Running Parallel Programs</A>: How to run parallelized programs 
<LI><A HREF="parguide_4.html#SEC4">Performance Results</A>: Evaluation of the SUIF parallelizer
</UL>

<P><HR><P>
This document was generated on 28 April 1999 using the
<A HREF="http://wwwcn.cern.ch/dci/texi2html/">texi2html</A>
translator version 1.51a.</P>
</BODY>
</HTML>
